summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhaarp <main.haarp@gmail.com>2020-09-22 11:04:06 +0200
committerhaarp <main.haarp@gmail.com>2020-09-22 11:04:27 +0200
commit40d64ff8c5c9fc47e133a1dd69fb73bb82f17673 (patch)
tree29f0de5a77a94e60325a9ed5dcda209ba41797c1
parentFix manifest (diff)
downloadhaarp-40d64ff8c5c9fc47e133a1dd69fb73bb82f17673.tar.gz
haarp-40d64ff8c5c9fc47e133a1dd69fb73bb82f17673.tar.bz2
haarp-40d64ff8c5c9fc47e133a1dd69fb73bb82f17673.zip
More system libs for Zandronum, make use flags
Signed-off-by: haarp <main.haarp@gmail.com>
-rw-r--r--games-fps/zandronum/Manifest2
-rw-r--r--games-fps/zandronum/zandronum-3.0.1.ebuild15
2 files changed, 11 insertions, 6 deletions
diff --git a/games-fps/zandronum/Manifest b/games-fps/zandronum/Manifest
index 74133d0..3c3a793 100644
--- a/games-fps/zandronum/Manifest
+++ b/games-fps/zandronum/Manifest
@@ -1,3 +1,3 @@
DIST zandronum-stable-10af17.tar.gz 6659250 BLAKE2B dbfb979830c06bf35ee5d4bbffd35c90acfb3e5d14351dc30dab4c36a46545a23720cfdd90b2367b84e91e7d36f9cc3377e6ab74b1dd5d2cea91419106752e57 SHA512 22c6cc2b23e5fda9b712c5783262be4f0914863b492294b66a5cffabc69d8fe74bb2813e2957b33b636014e58d8939ec20fe43eee3b7b73800e9dfd7dcd6211f
-EBUILD zandronum-3.0.1.ebuild 3872 BLAKE2B e6b9fed62ad66d814180de4c2e8c5d36d33e7bb8209af20c67e2a188b1753f00ccbe43133c764781f2805c78b093245078bb7b937ed3b9c8496bd2d4f6f01f69 SHA512 3837ec68da8dbbdf684560543e58b299992821b1217b979011e079d555400b594a86b3c024f8b1af73eccc676bcac45c9fb40d7b04be0c7f95d52e36ed656753
+EBUILD zandronum-3.0.1.ebuild 4168 BLAKE2B 7ca050358544d673f382491a17bc1211eed032d25c076702ae3737b994dcac5fb2b47c9d0983c7e6eb4643ff19e5d24900450de79fee51a85dffb5baa3c32fa8 SHA512 7899bfa2625736f4184727bccfa6787c122bab5a14f5a083f90f014e40845eff55fab96924e46acc6f7af77cbbcdd31ae9eed1b069466a6baad0741b3b695cdb
MISC metadata.xml 315 BLAKE2B d774a34d761497e43beb2078fc93e107b12d591b05e2439e2caaa7d1b11831151b9be6a7acf745d38ab726a887a8a4793dce11de9ec6b435e5df1db4227e748d SHA512 0e1da3132a25e09577a6861dea211f8ae941b6f4d1adbdc4b9a16c9b5bb1f9c8c96f6272a304d1b0b0a80c85965e72511203296e4f4622d1c0ba1d687f9854d2
diff --git a/games-fps/zandronum/zandronum-3.0.1.ebuild b/games-fps/zandronum/zandronum-3.0.1.ebuild
index 72bf8df..144c5f9 100644
--- a/games-fps/zandronum/zandronum-3.0.1.ebuild
+++ b/games-fps/zandronum/zandronum-3.0.1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://osdn.dl.osdn.net/scmarchive/g/${PN}/hg/${PN}-stable/${MY_COMMIT
LICENSE="Sleepycat"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="cpu_flags_x86_mmx dedicated +gtk +opengl timidity"
+IUSE="cpu_flags_x86_mmx dedicated +gtk +opengl system-dumb system-geoip system-sqlite timidity"
REQUIRED_USE="|| ( dedicated opengl )
gtk? ( opengl )
@@ -30,8 +30,10 @@ RDEPEND="gtk? ( x11-libs/gtk+:2 )
virtual/jpeg
virtual/opengl
)
+ system-dumb? ( >=media-libs/dumb-2 )
+ system-geoip? ( dev-libs/geoip )
+ system-sqlite? ( dev-db/sqlite )
app-arch/bzip2
- dev-db/sqlite
dev-libs/openssl:0
media-sound/fluidsynth
sys-libs/zlib"
@@ -50,13 +52,16 @@ src_prepare() {
## echo "#define HG_TIME \"\"" >> src/gitinfo.h
# Use system libs
- sed -i -e "/add_subdirectory( sqlite )/d" CMakeLists.txt
+ # (lzma can't be system-libbed as the Gentoo ebuild provides no sources)
+ for lib in dumb geoip sqlite; do
+ use system-$lib && sed -i -e "/add_subdirectory( $lib )/Id" CMakeLists.txt
+ done
# Use default data path
- sed -i -e "s:/usr/local/share/:/usr/share/doom/:" src/sdl/i_system.h
+ sed -i -e "s:/usr/local/share/:/usr/share/doom/:" src/sdl/i_system.h || die
# Fix building with gcc-5
- sed -i -e 's/ restrict/ _restrict/g' dumb/include/dumb.h dumb/src/it/*.c
+ use system-dumb || sed -i -e 's/ restrict/ _restrict/g' dumb/include/dumb.h dumb/src/it/*.c || die
cmake-utils_src_prepare
}